# Manual do Utilizador do &kde;

2005-09-08
Ambiente de Trabalho K
kabcclient
1

# kabcclient

cliente de linha de comandos para o livro de endereços do &kde;

    kabcclient  -A -R -M -S -L  --match-case --nosave -ic codificação -if formato -if-opts opções-formato -oc codificação -of formato -of-opts opções-formato  dados-entrada

## Descrição

O `kabcclient` permite o acesso pela linha de comandos ao livro de endereços do &kde;, como por exemplo em programas da linha de comandos. Suporta a introdução de dados a partir do 'stdin' ou através de argumentos adicionais. O resultado é sempre enviado para o 'stdout'.

## Opções

Modos de operação
  `-A, --add`

    Adiciona um novo item de contacto ao livro de endereços

  `-R, --remove`

    Remove um contacto existente do livro de endereços

  `-M, --merge`

    Reúne os dados à entrada com um item de contacto existente no livro de endereços. Este adiciona todas as informações novas ao contacto já existente.

  `-S, --search`

    Procura no livro de endereços pelos contactos correspondentes

  `-L, --list`

    Lista todos os itens de contactos do livro de endereços

Opções de entrada
  `-ic, --input-codec`

    Passa os dados de entrada através de uma codificação de texto específica. Veja o `-ic` help para obter mais informações sobre as codificações de entrada. Por omissão é igual a local, que irá usar a codificação para a configuração regional actual do locale 5

  `-if, --input-format`

    Processa o texto à entrada de acordo com determinadas regras de formatação. Veja os formatos disponíveis com o `-if` help. Por omissão, é igual a search

  Em vez de ler o texto à entrada, o 'kabcclient' pode mostrar uma janela para seleccionar os contactos com o formato de entrada

    dialog

  `-if-opts, --input-format-options`

    Opções adicionais para o formato de entrada escolhido. Algumas poderão ser obrigatórias e outras opcionais, dependendo do formato. Veja o `-if-opts` help para obter as opções de formato disponíveis

Opções de saída
  `-oc, --output-codec`

    Passa o texto à saída por uma dada codificação de texto. Veja em `-oc` help algumas informações adicionais sobre as codificações à saída. Por omissão é usado o local, o qual irá usar a codificação regional actual do locale 5.

  `-of, --output-format`

    Formata o texto à saída de acordo com determinadas regras de formatação. Veja os formatos disponíveis em `-of` help. Por omissão, é igual a vcard

  `-of-opts, --output-format-options`

    Opções adicionais para o formato de saída escolhido. Algumas poderão ser obrigatórias e outras opcionais, dependendo do formato. Veja o `-of-opts` help para obter as opções de formato disponíveis

Opções adicionais
  `--match-case`

    Usar uma correspondência de texto com distinção de maiúsculas, ao comparar o texto à entrada com os itens de contactos

  `--nosave`

    Efectua as operações de mudança das informações, como o `-A, -R` ou o `-M`, apenas em memória mas não guarda as alterações no livro de endereços

## Diagnósticos

Como é normal, um código à saída igual a zero corresponde a sucesso. Dependendo da operações escolhida, um código diferente de zero corresponde a um dado problema que a aplicação encontrou

ADIÇÃO
  `1`

    A leitura do texto à entrada foi mal-sucedida

  `2`

    A criação de um item de contacto adequado foi mal-sucedida, de acordo com o texto à entrada; p.ex. poderão não existir dados ou estes terem um formato inválido para o formato de entrada escolhido

  `3`

    A gravação das alterações no livro de endereços foi mal-sucedida. Isto poderá ser derivado, por exemplo, de outras aplicações estarem a bloquear o livro de endereços de momento.

REMOÇÃO
  `1`

    A leitura do texto à entrada foi mal-sucedida

  `2`

    O programa não conseguiu remover nenhum item de contactos do livro de endereços. Isto poderá ser derivado de um problema ao processar os dados de entrada, por não encontrar qualquer item correspondente no livro de endereços ou por ter devolvido mais de um item correspondente. No último caso, aparecerá uma mensagem de erro no 'stderr'

  `3`

    A gravação das alterações no livro de endereços foi mal-sucedida. Isto poderá ser derivado, por exemplo, de outras aplicações estarem a bloquear o livro de endereços de momento.

REUNIÃO
  `1`

    A leitura do texto à entrada foi mal-sucedida

  `2`

    O programa não conseguiu reunir os dados de entrada com nenhum item de contacto do livro de endereços. Isto poderá ser derivado de um erro no processamento dos dados de entrada, por não conseguir encontrar um item de contacto correspondente no livro de endereços ou por encontrar mais de um item de contacto correspondente no livro de endereços. No último caso, será apresentada uma mensagem de erro no 'stderr'

  `3`

    A gravação das alterações no livro de endereços foi mal-sucedida. Isto poderá ser derivado, por exemplo, de outras aplicações estarem a bloquear o livro de endereços de momento.

  PESQUISA
  `1`

    A leitura do texto à entrada foi mal-sucedida

  `2`

    O programa não conseguiu encontrar nenhum item de contacto correspondente no livro de endereços. Isto poderá ser derivado de um erro no processamento dos dados à entrada ou na pesquisa de um item correspondente no livro de endereços

## Exemplos

Procurar pelos itens de contacto com 'José' no nome ou nos endereços de e-mail

    kabcclient -S José

Fazer o mesmo, mas com a distinção entre maiúsculas e minúsculas activa

    kabcclient --match-case -S José

Fazer o mesmo, mas lendo o texto à entrada do 'stdin'

    echo "José" | kabcclient --match-case -S

Tentar adicionar um item de contacto novo, usando os dados de um endereço de e-mail formatado

    kabcclient --nosave --add -if email "José Povinho <josepovinho@exemplo.com>"

Fazer o mesmo, mas desta vez guardando os dados no livro de endereços

    kabcclient --add -if email "José Povinho <josepovinho@exemplo.com>"

Listar os formatos de entrada disponíveis

    kabcclient -if help

Listar os formatos de saída disponíveis

    kabcclient -of help

Listar as opções disponíveis para o formato de saída 'email'

    kabcclient -of email -of-opts help

Listar todos os endereços de e-mail de todos os contactos que contêm 'José'

    kabcclient -of email -of-opts allemails -S José

Remover todos os contactos que o utilizador seleccionou na janela da lista de selecção de contactos

    kabcclient --remove -if dialog

Exportar os contactos seleccionados para um ficheiro VCard (formato predefinido de saída)

    kabcclient -S -if dialog > contactos.vcf

## Autoria

Esta página de manual foi escrita por Kevin Krammer <kevin.krammer@gmx.at>. É dada a permissão para copiar, distribuir e/ou modificar este documento, segundo os termos da Licença Pública da GNU (GPL), versão 2 ou posteriores publicas pela Free Software Foundation.

Nos sistemas Debian, o texto completo desta licença poderá ser encontrado em /usr/share/common-licenses/GPL.